## org.eclipse.datatools.modelbase.sql.routines
Interface SQLRoutinesFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLRoutinesFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLRoutinesPackage`

Field Summary
`static SQLRoutinesFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`BuiltInFunction` `createBuiltInFunction()` Returns a new object of class 'Built In Function'.
`Function` `createFunction()` Returns a new object of class 'Function'.
`Method` `createMethod()` Returns a new object of class 'Method'.
`Parameter` `createParameter()` Returns a new object of class 'Parameter'.
`Procedure` `createProcedure()` Returns a new object of class 'Procedure'.
`RoutineResultTable` `createRoutineResultTable()` Returns a new object of class 'Routine Result Table'.
`Source` `createSource()` Returns a new object of class 'Source'.
`UserDefinedFunction` `createUserDefinedFunction()` Returns a new object of class 'User Defined Function'.
`SQLRoutinesPackage` `getSQLRoutinesPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLRoutinesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSource

    Source createSource()

  Returns a new object of class 'Source'.

  Returns:
    a new object of class 'Source'.

### createParameter

    Parameter createParameter()

  Returns a new object of class 'Parameter'.

  Returns:
    a new object of class 'Parameter'.

### createProcedure

    Procedure createProcedure()

  Returns a new object of class 'Procedure'.

  Returns:
    a new object of class 'Procedure'.

### createFunction

    Function createFunction()

  Returns a new object of class 'Function'.

  Returns:
    a new object of class 'Function'.

### createRoutineResultTable

    RoutineResultTable createRoutineResultTable()

  Returns a new object of class 'Routine Result Table'.

  Returns:
    a new object of class 'Routine Result Table'.

### createMethod

    Method createMethod()

  Returns a new object of class 'Method'.

  Returns:
    a new object of class 'Method'.

### createUserDefinedFunction

    UserDefinedFunction createUserDefinedFunction()

  Returns a new object of class 'User Defined Function'.

  Returns:
    a new object of class 'User Defined Function'.

### createBuiltInFunction

    BuiltInFunction createBuiltInFunction()

  Returns a new object of class 'Built In Function'.

  Returns:
    a new object of class 'Built In Function'.

### getSQLRoutinesPackage

    SQLRoutinesPackage getSQLRoutinesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.